# D:/CHAI3D/build-2-0-0/2.0.0/win32/src/math/CString.h File Reference

Math
Strings. More...

`#include <string>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
int | cStringLength (const char *a_string)
| Compute the length of a string.
void | cStr (string &a_string, const bool &a_value)
| Convert a boolean into a string.
void | cStr (string &a_string, const int &a_value)
| Convert an integer into a string.
void | cStr (string &a_string, const float &a_value, const unsigned int a_precision=2)
| Convert a float into a string.
void | cStr (string &a_string, const double &a_value, const unsigned int a_precision=2)
| Convert a double into a string.

## Detailed Description

Math
Strings.

## Function Documentation

void cStr | ( | string & | a_string,
|  | const double & | a_value,
|  | const unsigned int | a_precision |
| ) |  |  |

Convert a double into a string.

Convert a double into a string.

Parameters:

  | a_string | Input string.
  | a_value | Input value of type integer.
  | a_precision | Number of digits displayed after the decimal point.

void cStr | ( | string & | a_string,
|  | const float & | a_value,
|  | const unsigned int | a_precision |
| ) |  |  |

Convert a float into a string.

Convert a float into a string.

Parameters:

  | a_string | Input string.
  | a_value | Input value of type integer.
  | a_precision | Number of digits displayed after the decimal point.

void cStr | ( | string & | a_string,
|  | const int & | a_value |
| ) |  |  |

Convert an integer into a string.

Convert an integer into a string.

Parameters:

  | a_string | Input string.
  | a_value | Input value of type integer.

void cStr | ( | string & | a_string,
|  | const bool & | a_value |
| ) |  |  |

Convert a boolean into a string.

Convert a boolean into a string.

Parameters:

  | a_string | Input string.
  | a_value | Input value of type boolean.

int cStringLength | ( | const char * | a_string | ) |

Compute the length of a string.

Compute the length of a string up to 255 characters.

Parameters:

  | a_string | Input string. Pointer to a char.

Returns:
  Return the length of the string.

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.